import request from '@/utils/request'

/**
 * 根据用户id查询考勤组
 * @param {*} query 
 * @returns Promise
 */
export function queryAttendanceGroupByUserId(query) {
  return request({
    url: '/dk/app/queryAttendanceGroupByUserId',
    method: 'get',
    params: query
  })
}

/**
 * 上班打卡
 * @param {*} query 
 * @returns Promise
 */
export function checkIn(query) {
  return request({
    url: '/dk/app/checkIn',
    method: 'get',
    params: query
  })
}

/**
 * 下班打卡
 * @param {*} query 
 * @returns Promise
 */
export function checkOut(query) {
  return request({
    url: '/dk/app/checkOut',
    method: 'get',
    params: query
  })
}

/**
 * 获取当日当前员工考勤状态
 * @param {*} query 
 * @returns Promise
 */
export function getCurrentDayRecord(query) {
  return request({
    url: '/dk/app/getCurrentDayRecord',
    method: 'get',
    params: query
  })
}